Get candidate transactions for manual match
Returns a list of transaction candidates that could potentially be matched to the exception, ranked by similarity score.
Returns a list of transaction candidates that could potentially be matched to the exception, ranked by similarity score.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/recon/v1/exceptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/match-candidates"[
{
"id": "01900000-0000-7000-8000-000000000030",
"external_id": "TXN-20260601-001",
"amount": 150000,
"currency": "IDR",
"status": "settled",
"transaction_date": "2026-06-01T14:30:00Z",
"created_at": "2026-06-01T14:30:05Z"
}
]{
"error": "unauthorized",
"message": "Bearer token is missing or invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "not_found",
"message": "The requested resource was not found",
"request_id": "01900000-0000-7000-8000-000000000001"
}Was this page helpful?